Bug 4948 - Something missing in libnet_user
Something missing in libnet_user
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 normal
: ---
Assigned To: Rafal Szczesniak
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 16:48 UTC by Matthias Dieter Wallnöfer
Modified: 2007-09-20 06:44 UTC (History)
0 users

See Also:


Attachments
The proposed patch (481 bytes, patch)
2007-09-01 16:49 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-09-01 16:48:49 UTC
When I scanned a bit the libnet_user.c file in SAMBA, I noticed that the acct_flags wouldn't be set with the actual code. So I wrote a little patch.
Comment 1 Matthias Dieter Wallnöfer 2007-09-01 16:49:45 UTC
Created attachment 2911 [details]
The proposed patch
Comment 2 Andrew Bartlett 2007-09-02 21:57:12 UTC
Rafal:  Can you comment on this patch?
Comment 3 Rafal Szczesniak 2007-09-03 03:41:42 UTC
It is correct.
I'm going to commit it in slightly different form, however.
Comment 4 Matthias Dieter Wallnöfer 2007-09-18 07:47:39 UTC
When should be commited my patch?
Comment 5 Rafal Szczesniak 2007-09-18 16:05:35 UTC
I'm sorry, Matthias. I'm refactoring usermod function right now and have originally planned to put your changes along with that. I think I'm going to commit it to the original code, anyway. Should be there soon.
Comment 6 Matthias Dieter Wallnöfer 2007-09-20 06:44:45 UTC
Finally closed. Thanks mimir!